# © Copyright 2022 CERN. This software is distributed under the terms of
# the GNU General Public Licence version 3 (GPL Version 3), copied verbatim
# in the file "LICENCE.txt". In applying this licence, CERN does not waive
# the privileges and immunities granted to it by virtue of its status as an
# Intergovernmental Organization or submit itself to any jurisdiction.

from enum import Enum

class ExperimentSite(Enum):
    """Class for experiment site attributes."""
    _AGLT2                   = 'AGLT2'
    _ARC_TEST                = 'ARC-TEST'
    _ARNES                   = 'ARNES'
    _AZ_IFAN                 = 'AZ-IFAN'
    _Australia_ATLAS         = 'Australia-ATLAS'
    _BEIJING_LCG2            = 'BEIJING-LCG2'
    _BITP                    = 'BITP'
    _BNL_ATLAS               = 'BNL-ATLAS'
    _BNL_ATLAS_OPP           = 'BNL-ATLAS-OPP'
    _BNLHPC                  = 'BNLHPC' 
    _BOINC                   = 'BOINC'
    _BU_NESE                 = 'BU_NESE'
    _Bari                    = 'Bari'
    _Birmingham              = 'Birmingham'
    _Bratislava              = 'Bratislava'
    _CA_SFU_T2               = 'CA-SFU-T2'
    _CA_TORONTO_T3           = 'CA-TORONTO-T3'
    _CA_TRIUMF_DISKLESS      = 'CA-TRIUMF-DISKLESS'
    _CA_VICTORIA_WESTGRID_T2 = 'CA-VICTORIA-WESTGRID-T2'
    _CA_WATERLOO_T2          = 'CA-WATERLOO-T2'
    _CCIN2P3                 = 'CCIN2P3'
    _CERN                    = 'CERN'
    _CERN_PROD               = 'CERN-PROD'
    _CERN_T0                 = 'CERN-T0'
    _CNAF                    = 'CNAF'
    _COMSATS                 = 'COMSATS'
    _CSCS_LCG2               = 'CSCS-LCG2'
    _CYFRONET_LCG2           = 'CYFRONET-LCG2'
    _Catania                 = 'Catania'
    _Clermont                = 'Clermont'
    _Cyfronet                = 'Cyfronet'
    _DESY_HH                 = 'DESY-HH'
    _DESY_ZN                 = 'DESY-ZN'
    _EELA_UNLP               = 'EELA-UNLP'
    _EELA_UTFSM              = 'EELA-UTFSM'
    _FMPhI_UNIBA             = 'FMPhI-UNIBA'
    _FR_ALPAMED              = 'FR-ALPAMED'
    _FR_ALPAMED_LPC          = 'FR-ALPAMED-LPC'
    _FRESNO_AWS              = 'FRESNO-AWS'
    _FZK                     = 'FZK'
    _FZK_LCG2                = 'FZK-LCG2'
    _GOOGLE                  = 'GOOGLE'
    _GOOGLE_US_EAST4         = 'GOOGLE_US_EAST4'
    _GR_12_TEIKAV            = 'GR-12-TEIKAV'
    _GRIF                    = 'GRIF'
    _GRIF_IPNO               = 'GRIF_IPNO'
    _GRIF_IRFU               = 'GRIF_IRFU'
    _GoeGrid                 = 'GoeGrid'
    _HEPHY_UIBK              = 'HEPHY-UIBK'
    _HK_LCG2                 = 'HK-LCG2'
    _IEPSAS_Kosice           = 'IEPSAS-Kosice'
    _IFIC_LCG2               = 'IFIC-LCG2'
    _IHEP                    = 'IHEP'
    _IL_TAU_HEP              = 'IL-TAU-HEP'
    _IN2P3_CC                = 'IN2P3-CC' 
    _IN2P3_CC_DATALAKE       = 'IN2P3-CC_DATALAKE'
    _IN2P3_CPPM              = 'IN2P3-CPPM'
    _IN2P3_LAPP              = 'IN2P3-LAPP'
    _IN2P3_LPC               = 'IN2P3-LPC'
    _INFN_BOLOGNA_T3         = 'INFN-BOLOGNA-T3'
    _INFN_COSENZA            = 'INFN-COSENZA'
    _INFN_FRASCATI           = 'INFN-FRASCATI'
    _INFN_GENOVA             = 'INFN-GENOVA'
    _INFN_LECCE              = 'INFN-LECCE'
    _INFN_MILANO_ATLASC      = 'INFN-MILANO-ATLASC'
    _INFN_NAPOLI_ATLAS       = 'INFN-NAPOLI-ATLAS' 
    _INFN_ROMA1              = 'INFN-ROMA1'
    _INFN_ROMA2              = 'INFN-ROMA2'
    _INFN_ROMA3              = 'INFN-ROMA3'
    _INFN_T1                 = 'INFN-T1'
    _INFN_TRIESTE            = 'INFN-TRIESTE'
    _ISMA                    = 'ISMA'
    _ISS                     = 'ISS'
    _ITEP                    = 'ITEP'
    _JINR                    = 'JINR'
    _JINR_LCG2               = 'JINR-LCG2'
    _KFKI                    = 'KFKI'
    _KISTI_GSDC              = 'KISTI_GSDC'
    _KNU                     = 'KNU'
    _Kolkata                 = 'Kolkata'
    _Kosice                  = 'Kosice'
    _LBL_HPCS                = 'LBL_HPCS' 
    _LBNL_DSD_ITB            = 'LBNL_DSD_ITB'
    _LCG_AUVER_fr            = 'LCG.AUVER.fr'
    _LCG_Bari_it             = 'LCG.Bari.it'
    _LCG_Beijing_cn          = 'LCG.Beijing.cn'
    _LCG_CBPF_br             = 'LCG.CBPF.br'
    _LCG_CERN_cern           = 'LCG.CERN.cern'
    _LCG_CNAF_it             = 'LCG.CNAF.it'
    _LCG_CPPM_fr             = 'LCG.CPPM.fr'
    _LCG_CSCS_ch             = 'LCG.CSCS.ch'
    _LCG_Catania_it          = 'LCG.Catania.it'
    _LCG_Durham_uk           = 'LCG.Durham.uk'
    _LCG_ECDF_uk             = 'LCG.ECDF.uk'
    _LCG_Ferrara_it          = 'LCG.Ferrara.it'
    _LCG_Frascati_it         = 'LCG.Frascati.it'
    _LCG_GRIDKA_de           = 'LCG.GRIDKA.de'
    _LCG_Glasgow_uk          = 'LCG.Glasgow.uk'
    _LCG_Haifa_il            = 'LCG.Haifa.il'
    _LCG_ICM_pl              = 'LCG.ICM.pl'
    _LCG_IHEP_ru             = 'LCG.IHEP.ru'
    _LCG_IN2P3_fr            = 'LCG.IN2P3.fr'
    _LCG_LAPP_fr             = 'LCG.LAPP.fr'
    _LCG_LPNHE_fr            = 'LCG.LPNHE.fr' 
    _LCG_Lancaster_uk        = 'LCG.Lancaster.uk'
    _LCG_Liverpool_uk        = 'LCG.Liverpool.uk'
    _LCG_MIT_us              = 'LCG.MIT.us'
    _LCG_Manchester_uk       = 'LCG.Manchester.uk'
    _LCG_NCBJ_CIS_pl         = 'LCG.NCBJ-CIS.pl'
    _LCG_NCBJ_pl             = 'LCG.NCBJ.pl'
    _LCG_NIPNE_07_ro         = 'LCG.NIPNE-07.ro'
    _LCG_PIC_es              = 'LCG.PIC.es'
    _LCG_RAL_HEP_uk          = 'LCG.RAL-HEP.uk'
    _LCG_RAL_uk              = 'LCG.RAL.uk' 
    _LCG_RRCKI_ru            =  'LCG.RRCKI.ru'
    _LCG_SARA_nl             = 'LCG.SARA.nl'
    _LCG_Sheffield_uk        = 'LCG.Sheffield.uk'
    _LCG_TAU_il              = 'LCG.TAU.il'
    _LCG_UKI_LT2_Brunel_uk   = 'LCG.UKI-LT2-Brunel.uk'
    _LCG_UKI_LT2_IC_HEP_uk   = 'LCG.UKI-LT2-IC-HEP.uk'
    _LCG_UKI_LT2_QMUL_uk     = 'LCG.UKI-LT2-QMUL.uk'
    _LCG_USC_es              = 'LCG.USC.es'
    _LCG_WEIZMANN_il         = 'LCG.WEIZMANN.il'
    _LRZ_LMU                 = 'LRZ-LMU'
    _Legnaro                 = 'Legnaro'
    _MPPMU                   = 'MPPMU'
    _MWT2                    = 'MWT2'
    _NCG_INGRID_PT           = 'NCG-INGRID-PT'
    _NDGF_T1                 = 'NDGF-T1'
    _NERSC_PDSF              = 'NERSC-PDSF'
    _NIHAM                   = 'NIHAM'
    _NIKHEF                  = 'NIKHEF'
    _NIPNE                   = 'NIPNE'
    _NO_NORGRID_T2           = 'NO-NORGRID-T2'
    _Nevis                   = 'Nevis'
    _ORNL                    = 'ORNL'
    _OU_OSCER_ATLAS          = 'OU_OSCER_ATLAS'
    _Oxford                  = 'Oxford'
    _PNPI                    = 'PNPI'
    _PSNC                    = 'PSNC' 
    _Poznan                  = 'Poznan'
    _Prague                  = 'Prague'
    _RAL                     = 'RAL'
    _RAL_LCG2                = 'RAL-LCG2'
    _RIVR_UM                 = 'RIVR.UM'
    _RO_02_NIPNE             = 'RO-02-NIPNE'
    _RO_07_NIPNE             = 'RO-07-NIPNE'
    _RO_14_ITIM              = 'RO-14-ITIM'
    _RO_16_UAIC              = 'RO-16-UAIC'
    _RRC_KI_T1               = 'RRC-KI-T1'
    _RRC_KI_T1_2             = 'RRC_KI_T1'
    _RU_Protvino_IHEP        = 'RU-Protvino-IHEP'
    _SAMPA                   = 'SAMPA'
    _SARA                    = 'SARA'
    _SARA_MATRIX             = 'SARA-MATRIX' 
    _SE_SNIC_T2              = 'SE-SNIC-T2'
    _SNIC                    = 'SNIC'
    _SPbSU                   = 'SPbSU'
    _SUT                     = 'SUT'
    _SWT2_CPB                = 'SWT2_CPB'
    _SaoPaulo                = 'SaoPaulo'
    _SiGNET                  = 'SiGNET'
    _Strasbourg_IRES         = 'Strasbourg_IRES'
    _Subatech                = 'Subatech'
    _T0_CH_CERN              = 'T0_CH_CERN'
    _T1_DE_KIT               = 'T1_DE_KIT'
    _T1_ES_PIC               = 'T1_ES_PIC'
    _T1_FR_CCIN2P3           = 'T1_FR_CCIN2P3'
    _T1_IT_CNAF              = 'T1_IT_CNAF' 
    _T1_RU_JINR              = 'T1_RU_JINR'
    _T1_UK_RAL               = 'T1_UK_RAL'
    _T1_US_FNAL              = 'T1_US_FNAL'
    _T2_AT_Vienna            = 'T2_AT_Vienna'
    _T2_BE_IIHE              = 'T2_BE_IIHE'
    _T2_BE_UCL               = 'T2_BE_UCL'
    _T2_BR_SPRACE            = 'T2_BR_SPRACE'
    _T2_BR_UERJ              = 'T2_BR_UERJ'
    _T2_CH_CERN              = 'T2_CH_CERN'
    _T2_CH_CSCS              = 'T2_CH_CSCS'
    _T2_CN_Beijing           = 'T2_CN_Beijing'
    _T2_DE_DESY              = 'T2_DE_DESY' 
    _T2_DE_RWTH              = 'T2_DE_RWTH'
    _T2_EE_Estonia           = 'T2_EE_Estonia'
    _T2_ES_CIEMAT            = 'T2_ES_CIEMAT'
    _T2_ES_IFCA              = 'T2_ES_IFCA'
    _T2_FI_HIP               = 'T2_FI_HIP'
    _T2_FR_GRIF              = 'T2_FR_GRIF'
    _T2_FR_GRIF_LLR          = 'T2_FR_GRIF_LLR'
    _T2_FR_IPHC              = 'T2_FR_IPHC'
    _T2_GR_Ioannina          = 'T2_GR_Ioannina'
    _T2_HU_Budapest          = 'T2_HU_Budapest'
    _T2_IN_TIFR              = 'T2_IN_TIFR'
    _T2_IT_Bari              = 'T2_IT_Bari' 
    _T2_IT_Legnaro           = 'T2_IT_Legnaro'
    _T2_IT_Pisa              = 'T2_IT_Pisa'
    _T2_IT_Rome              = 'T2_IT_Rome'
    _T2_KR_KISTI             = 'T2_KR_KISTI'
    _T2_PK_NCP               = 'T2_PK_NCP'
    _T2_PL_Cyfronet          = 'T2_PL_Cyfronet'
    _T2_PL_Swierk            = 'T2_PL_Swierk'
    _T2_PT_NCG_Lisbon        = 'T2_PT_NCG_Lisbon'
    _T2_RU_IHEP              = 'T2_RU_IHEP'
    _T2_RU_INR               = 'T2_RU_INR'
    _T2_RU_ITEP              = 'T2_RU_ITEP'
    _T2_RU_JINR              = 'T2_RU_JINR' 
    _T2_TR_METU              = 'T2_TR_METU'
    _T2_TW_NCHC              = 'T2_TW_NCHC'
    _T2_UA_KIPT              = 'T2_UA_KIPT'
    _T2_UK_London_Brunel     = 'T2_UK_London_Brunel'
    _T2_UK_London_IC         = 'T2_UK_London_IC'
    _T2_UK_SGrid_Bristol     = 'T2_UK_SGrid_Bristol'
    _T2_UK_SGrid_RALPP       = 'T2_UK_SGrid_RALPP'
    _T2_US_Caltech           = 'T2_US_Caltech'
    _T2_US_Florida           = 'T2_US_Florida'
    _T2_US_MIT               = 'T2_US_MIT' 
    _T2_US_Nebraska          = 'T2_US_Nebraska'
    _T2_US_Purdue            = 'T2_US_Purdue'
    _T2_US_UCSD              = 'T2_US_UCSD'
    _T2_US_Vanderbilt        = 'T2_US_Vanderbilt'
    _T2_US_Wisconsin         = 'T2_US_Wisconsin'
    _T3_BG_UNI_SOFIA         = 'T3_BG_UNI_SOFIA'
    _T3_CH_CERNBOX           = 'T3_CH_CERNBOX'
    _T3_CH_CERN_DOMA         = 'T3_CH_CERN_DOMA'
    _T3_CH_CERN_OpenData     = 'T3_CH_CERN_OpenData'
    _T3_CH_PSI               = 'T3_CH_PSI'
    _T3_CN_PKU               = 'T3_CN_PKU'
    _T3_CY_UCY               = 'T3_CY_UCY'
    _T3_FR_IPNL              = 'T3_FR_IPNL'
    _T3_HR_IRB               = 'T3_HR_IRB'
    _T3_IN_TIFRCloud         = 'T3_IN_TIFRCloud'
    _T3_IR_IPM               = 'T3_IR_IPM'
    _T3_IT_Bologna           = 'T3_IT_Bologna'
    _T3_IT_MIB               = 'T3_IT_MIB'
    _T3_IT_Trieste           = 'T3_IT_Trieste'
    _T3_KR_KISTI             = 'T3_KR_KISTI'
    _T3_KR_KNU               = 'T3_KR_KNU'
    _T3_KR_UOS               = 'T3_KR_UOS'
    _T3_MX_Cinvestav         = 'T3_MX_Cinvestav'
    _T3_TW_NCU               = 'T3_TW_NCU' 
    _T3_TW_NTU_HEP           = 'T3_TW_NTU_HEP'
    _T3_TW_TIDC              = 'T3_TW_TIDC'
    _T3_UK_London_QMUL       = 'T3_UK_London_QMUL'
    _T3_UK_London_RHUL       = 'T3_UK_London_RHUL'
    _T3_UK_ScotGrid_GLA      = 'T3_UK_ScotGrid_GLA'
    _T3_US_Baylor            = 'T3_US_Baylor'
    _T3_US_Brown             = 'T3_US_Brown'
    _T3_US_CMU               = 'T3_US_CMU' 
    _T3_US_Colorado          = 'T3_US_Colorado'
    _T3_US_FNALLPC           = 'T3_US_FNALLPC'
    _T3_US_MIT               = 'T3_US_MIT'
    _T3_US_NERSC             = 'T3_US_NERSC'
    _T3_US_NotreDame         = 'T3_US_NotreDame'
    _T3_US_OSG               = 'T3_US_OSG'
    _T3_US_OSU               = 'T3_US_OSU'
    _T3_US_PSC               = 'T3_US_PSC'
    _T3_US_Princeton_ICSE    = 'T3_US_Princeton_ICSE'
    _T3_US_PuertoRico        = 'T3_US_PuertoRico'
    _T3_US_Rice              = 'T3_US_Rice'
    _T3_US_Rutgers           = 'T3_US_Rutgers'
    _T3_US_SDSC              = 'T3_US_SDSC'
    _T3_US_TACC              = 'T3_US_TACC'
    _T3_US_UMD               = 'T3_US_UMD'
    _T3_US_UMiss             = 'T3_US_UMiss'
    _TACC                    = 'TACC'
    _TECHNION_HEP            = 'TECHNION-HEP'
    _TOKYO_LCG2              = 'TOKYO-LCG2'
    _TR_10_ULAKBIM           = 'TR-10-ULAKBIM'
    _TRIUMF_LCG2             = 'TRIUMF-LCG2'
    _TW_FTT                  = 'TW-FTT'
    _Taiwan_LCG2             = 'Taiwan-LCG2'
    _Torino                  = 'Torino'
    _Troitsk                 = 'Troitsk'
    _UAM_LCG2                = 'UAM-LCG2'
    _UKI_LT2_Brunel          = 'UKI-LT2-Brunel'
    _UKI_LT2_IC_HEP          = 'UKI-LT2-IC-HEP'
    _UKI_LT2_QMUL            = 'UKI-LT2-QMUL'
    _UKI_LT2_RHUL            = 'UKI-LT2-RHUL'
    _UKI_NORTHGRID_LANCS_HEP = 'UKI-NORTHGRID-LANCS-HEP'
    _UKI_NORTHGRID_LIV_HEP   = 'UKI-NORTHGRID-LIV-HEP'
    _UKI_NORTHGRID_MAN_HEP   = 'UKI-NORTHGRID-MAN-HEP' 
    _UKI_NORTHGRID_SHEF_HEP  = 'UKI-NORTHGRID-SHEF-HEP'
    _UKI_SCOTGRID_DURHAM     = 'UKI-SCOTGRID-DURHAM'
    _UKI_SCOTGRID_ECDF       = 'UKI-SCOTGRID-ECDF'
    _UKI_SCOTGRID_GLASGOW    = 'UKI-SCOTGRID-GLASGOW'
    _UKI_SOUTHGRID_BHAM_HEP  = 'UKI-SOUTHGRID-BHAM-HEP'
    _UKI_SOUTHGRID_OX_HEP    = 'UKI-SOUTHGRID-OX-HEP'
    _UKI_SOUTHGRID_RALPP     = 'UKI-SOUTHGRID-RALPP' 
    _UKI_SOUTHGRID_SUSX      = 'UKI-SOUTHGRID-SUSX'
    _UM6P                    = 'UM6P'
    _UNAM_T1                 = 'UNAM_T1'
    _UNI_BONN                = 'UNI-BONN'
    _UNI_FREIBURG            = 'UNI-FREIBURG'
    _UNIBE_LHEP              = 'UNIBE-LHEP'
    _UNIGE_DPNC              = 'UNIGE-DPNC'
    _UPB                     = 'UPB'
    _Vega                    = 'Vega'
    _Vienna                  = 'Vienna' 
    _WEIZMANN_LCG2           = 'WEIZMANN-LCG2'
    _WT2                     = 'WT2'
    _ZA_CHPC                 = 'ZA-CHPC'
    _ZA_WITS_CORE            = 'ZA-WITS-CORE'
    _ZA_CHPC2                = 'ZA_CHPC' 
    _ifae                    = 'ifae'
    _mainz                   = 'mainz'
    _pic                     = 'pic'
    _praguelcg2              = 'praguelcg2'
    _ru_Moscow_MEPHI_LCG2    = 'ru-Moscow-MEPHI-LCG2'
    _ru_PNPI                 = 'ru-PNPI'
    _ru_PNPI_XCACHE          = 'ru-PNPI_XCACHE'
    _ru_PNPI_XCACHE_NODES    = 'ru-PNPI_XCACHE_NODES'
    _wuppertalprod           = 'wuppertalprod'
