# © Copyright 2022 CERN. This software is distributed under the terms of
# the GNU General Public Licence version 3 (GPL Version 3), copied verbatim
# in the file "LICENCE.txt". In applying this licence, CERN does not waive
# the privileges and immunities granted to it by virtue of its status as an
# Intergovernmental Organization or submit itself to any jurisdiction.

from enum import Enum

class Federation(Enum):
    """Class for federation attributes."""
    _AT_HEPHY_VIENNA_UIBK = 'AT-HEPHY-VIENNA-UIBK'
    _AU_ATLAS             = 'AU-ATLAS'
    _BE_TIER2             = 'BE-TIER2'
    _BR_SP_SPRACE         = 'BR-SP-SPRACE'
    _CA_EAST_T2           = 'CA-EAST-T2'
    _CA_TRIUMF            = 'CA-TRIUMF'
    _CA_WEST_T2           = 'CA-WEST-T2'
    _CH_ATLAS             = 'CH-ATLAS'
    _CH_CERN              = 'CH-CERN'
    _CH_CHIPP_CSCS        = 'CH-CHIPP-CSCS'
    _CN_IHEP              = 'CN-IHEP'
    _CZ_Prague_T2         = 'CZ-Prague-T2' 
    _DE_DESY_ATLAS_T2     = 'DE-DESY-ATLAS-T2'
    _DE_DESY_GOE_ATLAS_T2 = 'DE-DESY-GOE-ATLAS-T2'
    _DE_DESY_RWTH_CMS_T2  = 'DE-DESY-RWTH-CMS-T2'
    _DE_FREIBURGWUPPERTAL = 'DE-FREIBURGWUPPERTAL'
    _DE_KIT               = 'DE-KIT'
    _DE_MCAT              = 'DE-MCAT'
    _EE_NICPB             = 'EE-NICPB'
    _ES_ATLAS_T2          = 'ES-ATLAS-T2'
    _ES_CMS_T2            = 'ES-CMS-T2'
    _ES_LHCb_T2           = 'ES-LHCb-T2'
    _ES_PIC               = 'ES-PIC' 
    _FI_HIP_T2            = 'FI-HIP-T2'
    _FR_CCIN2P3           = 'FR-CCIN2P3'
    _FR_GRIF              = 'FR-GRIF'
    _FR_IN2P3_CPPM        = 'FR-IN2P3-CPPM'
    _FR_IN2P3_IPHC        = 'FR-IN2P3-IPHC'
    _FR_IN2P3_LAPP        = 'FR-IN2P3-LAPP'
    _FR_IN2P3_LPC         = 'FR-IN2P3-LPC'
    _FR_IN2P3_SUBATECH    = 'FR-IN2P3-SUBATECH'
    _GR_GRIDLAB_KAVALA    = 'GR-GRIDLAB-KAVALA'
    _GR_Ioannina_HEP      = 'GR-Ioannina-HEP'
    _HK_ATLAS_T2          = 'HK-ATLAS-T2' 
    _HU_HGCC_T2           = 'HU-HGCC-T2'
    _IL_HEPTier_2         = 'IL-HEPTier-2' 
    _IN_DAE_KOLKATA_TIER2 = 'IN-DAE-KOLKATA-TIER2'
    _IN_INDIACMS_TIFR     = 'IN-INDIACMS-TIFR'
    _IT_INFN_CNAF         = 'IT-INFN-CNAF'
    _IT_INFN_T2           = 'IT-INFN-T2'
    _JP_Tokyo_ATLAS_T2    = 'JP-Tokyo-ATLAS-T2'
    _KR_KISTI_GSDC        = 'KR-KISTI-GSDC'
    _KR_KISTI_GSDC_02     = 'KR-KISTI-GSDC-02'
    _MA_Tier3s            = 'MA-Tier3s' 
    _NDGF                 = 'NDGF'
    _NL_T1                = 'NL-T1'
    _NON_MOU_Federation   = 'NON-MOU-Federation'
    _NRC_KI_T1            = 'NRC-KI-T1'
    _PK_CIIT_ALICE        = 'PK-CIIT-ALICE'
    _PK_CMS_T2            = 'PK-CMS-T2'
    _PL_POLISH_WLCG       = 'PL-POLISH-WLCG'
    _PT_LIP_LCG_Tier2     = 'PT-LIP-LCG-Tier2'
    _RO_LCG               = 'RO-LCG'
    _RU_JINR_T1           = 'RU-JINR-T1'
    _RU_RDIG              = 'RU-RDIG'
    _SE_SNIC_T2           = 'SE-SNIC-T2'
    _SI_SiGNET            = 'SI-SiGNET' 
    _SK_Tier2_Federation  = 'SK-Tier2-Federation'
    _T2_LATINAMERICA      = 'T2-LATINAMERICA'
    _T2_UNAM              = 'T2_UNAM'
    _T2_US_MIT_LHCb       = 'T2_US_MIT_LHCb'
    _TH_Tier2             = 'TH-Tier2'
    _TR_Tier2_federation  = 'TR-Tier2-federation'
    _TW_ASGC              = 'TW-ASGC'
    _TW_CMS_T2            = 'TW-CMS-T2'
    _TW_FTT_T2            = 'TW-FTT-T2'
    _UA_Tier2_Federation  = 'UA-Tier2-Federation'
    _UK_London_Tier2      = 'UK-London-Tier2'
    _UK_NorthGrid         = 'UK-NorthGrid'
    _UK_ScotGrid          = 'UK-ScotGrid'
    _UK_SouthGrid         = 'UK-SouthGrid'
    _UK_T1_RAL            = 'UK-T1-RAL'
    _US_AGLT2             = 'US-AGLT2'
    _US_CMS_T2            = 'US-CMS-T2'
    _US_FNAL_CMS          = 'US-FNAL-CMS'
    _US_LBNL_ALICE        = 'US-LBNL-ALICE'
    _US_MWT2              = 'US-MWT2'
    _US_NET2              = 'US-NET2'
    _US_SWT2              = 'US-SWT2'
    _US_T1_BNL            = 'US-T1-BNL'
    _ZA_CHPC_T2           = 'ZA-CHPC-T2'
