# © Copyright 2022 CERN. This software is distributed under the terms of
# the GNU General Public Licence version 3 (GPL Version 3), copied verbatim
# in the file "LICENCE.txt". In applying this licence, CERN does not waive
# the privileges and immunities granted to it by virtue of its status as an
# Intergovernmental Organization or submit itself to any jurisdiction.

from enum import Enum

class OfficialSite(Enum):
    """Class for official site attributes."""
    _AGLT2                   = 'AGLT2'
    _ARNES                   = 'ARNES'
    _AUVERGRID               = 'AUVERGRID'
    _AZ_IFAN                 = 'AZ-IFAN'
    _Australia_ATLAS         = 'Australia-ATLAS'
    _BEIJING_LCG2            = 'BEIJING-LCG2'
    _BEgrid_ULB_VUB          = 'BEgrid-ULB-VUB'
    _BG05_SUGrid             = 'BG05-SUGrid'
    _BNL_ATLAS               = 'BNL-ATLAS'
    _BNL_ATLAS_OPP           = 'BNL-ATLAS-OPP'
    _BOINC                   = 'BOINC'
    _BUDAPEST                = 'BUDAPEST'
    _BU_ATLAS_Tier2          = 'BU_ATLAS_Tier2' 
    _Baylor_Kodiak           = 'Baylor-Kodiak'
    _BelGrid_UCL             = 'BelGrid-UCL'
    _CA_SFU_T2               = 'CA-SFU-T2'
    _CA_TORONTO_T3           = 'CA-TORONTO-T3'
    _CA_TRIUMF_DISKLESS      = 'CA-TRIUMF-DISKLESS'
    _CA_VICTORIA_WESTGRID_T2 = 'CA-VICTORIA-WESTGRID-T2'
    _CA_WATERLOO_T2          = 'CA-WATERLOO-T2'
    _CBPF                    = 'CBPF'
    _CERN_PROD               = 'CERN-PROD'
    _CIEMAT_LCG2             = 'CIEMAT-LCG2'
    _CIT_CMS_T2              = 'CIT_CMS_T2' 
    _CN_BEIJING_PKU          = 'CN-BEIJING-PKU'
    _CSCS_LCG2               = 'CSCS-LCG2'
    _CY_01_KIMON             = 'CY-01-KIMON'
    _CYFRONET_LCG2           = 'CYFRONET-LCG2'
    _DESY_HH                 = 'DESY-HH'
    _DESY_ZN                 = 'DESY-ZN'
    _EELA_UNLP               = 'EELA-UNLP'
    _EELA_UTFSM              = 'EELA-UTFSM'
    _FI_HIP_T2               = 'FI_HIP_T2'
    _FMPhI_UNIBA             = 'FMPhI-UNIBA'
    _FR_ALPAMED              = 'FR-ALPAMED'
    _FRESNO_ATLAS_T3         = 'FRESNO-ATLAS-T3' 
    _FZK_LCG2                = 'FZK-LCG2'
    _GLOW                    = 'GLOW'
    _GOOGLE                  = 'GOOGLE'
    _GR_07_UOI_HEPLAB        = 'GR-07-UOI-HEPLAB'
    _GR_12_TEIKAV            = 'GR-12-TEIKAV'
    _GRIF                    = 'GRIF'
    _GoeGrid                 = 'GoeGrid'
    _HEPHY_UIBK              = 'HEPHY-UIBK'
    _HK_LCG2                 = 'HK-LCG2'
    _Hephy_Vienna            = 'Hephy-Vienna'
    _ICM                     = 'ICM'
    _IEPSAS_Kosice           = 'IEPSAS-Kosice'
    _IFCA_LCG2               = 'IFCA-LCG2'
    _IFIC_LCG2               = 'IFIC-LCG2'
    _IL_TAU_HEP              = 'IL-TAU-HEP'
    _IN_DAE_VECC_02          = 'IN-DAE-VECC-02'
    _IN2P3_CC                = 'IN2P3-CC'
    _IN2P3_CPPM              = 'IN2P3-CPPM'
    _IN2P3_IPNL              = 'IN2P3-IPNL'
    _IN2P3_IRES              = 'IN2P3-IRES'
    _IN2P3_LAPP              = 'IN2P3-LAPP'
    _IN2P3_LPC               = 'IN2P3-LPC'
    _IN2P3_SUBATECH          = 'IN2P3-SUBATECH'
    _INDIACMS_TIFR           = 'INDIACMS-TIFR'
    _INFN_BARI               = 'INFN-BARI'
    _INFN_BOLOGNA_T3         = 'INFN-BOLOGNA-T3'
    _INFN_CATANIA            = 'INFN-CATANIA'
    _INFN_COSENZA            = 'INFN-COSENZA'
    _INFN_FERRARA            = 'INFN-FERRARA'
    _INFN_FRASCATI           = 'INFN-FRASCATI'
    _INFN_GENOVA             = 'INFN-GENOVA'
    _INFN_LECCE              = 'INFN-LECCE'
    _INFN_LNL_2              = 'INFN-LNL-2'
    _INFN_MIB                = 'INFN-MIB'
    _INFN_MILANO_ATLASC      = 'INFN-MILANO-ATLASC'
    _INFN_NAPOLI_ATLAS       = 'INFN-NAPOLI-ATLAS'
    _INFN_PISA               = 'INFN-PISA'
    _INFN_ROMA1              = 'INFN-ROMA1'
    _INFN_ROMA1_CMS          = 'INFN-ROMA1-CMS'
    _INFN_ROMA2              = 'INFN-ROMA2'
    _INFN_ROMA3              = 'INFN-ROMA3'
    _INFN_T1                 = 'INFN-T1'
    _INFN_TORINO             = 'INFN-TORINO'
    _INFN_TRIESTE            = 'INFN-TRIESTE'
    _IR_IPM_HEP              = 'IR-IPM-HEP'
    _ITEP                    = 'ITEP'
    _JINR_LCG2               = 'JINR-LCG2'
    _JINR_T1                 = 'JINR-T1'
    _KR_KISTI_GSDC_01        = 'KR-KISTI-GSDC-01'
    _KR_KISTI_GSDC_02        = 'KR-KISTI-GSDC-02'
    _KR_KNU_T3               = 'KR-KNU-T3'
    _KR_UOS_SSCC             = 'KR-UOS-SSCC'
    _Kharkov_KIPT_LCG2       = 'Kharkov-KIPT-LCG2'
    _LBL_HPCS                = 'LBL_HPCS'
    _LBNL_DSD_ITB            = 'LBNL_DSD_ITB'
    _LRZ_LMU                 = 'LRZ-LMU'
    _MIT_CMS                 = 'MIT_CMS'
    _MIT_CMS_T3              = 'MIT_CMS_T3'
    _MIT_LHCb                = 'MIT_LHCb'
    _MPPMU                   = 'MPPMU'
    _MWT2                    = 'MWT2'
    _NCBJ_CIS                = 'NCBJ-CIS'
    _NCG_INGRID_PT           = 'NCG-INGRID-PT'
    _NCP_LCG2                = 'NCP-LCG2' 
    _NDGF_T1                 = 'NDGF-T1'
    _NERSC_PDSF              = 'NERSC-PDSF'
    _NIHAM                   = 'NIHAM'
    _NIKHEF_ELPROD           = 'NIKHEF-ELPROD'
    _NO_NORGRID_T2           = 'NO-NORGRID-T2'
    _NWICG_NDCMS             = 'NWICG_NDCMS'
    _Nebraska                = 'Nebraska'
    _Nevis                   = 'Nevis'
    _ORNL                    = 'ORNL'
    _OU_OSCER_ATLAS          = 'OU_OSCER_ATLAS'
    _PK_CIIT                 = 'PK-CIIT'
    _PSC_HPC                 = 'PSC-HPC'
    _PSNC                    = 'PSNC'
    _Princeton_ICSE_T3_CMS   = 'Princeton_ICSE_T3_CMS' 
    _Purdue                  = 'Purdue'
    _RAL_LCG2                = 'RAL-LCG2'
    _RIVR_UM                 = 'RIVR.UM'
    _RO_02_NIPNE             = 'RO-02-NIPNE'
    _RO_03_UPB               = 'RO-03-UPB'
    _RO_07_NIPNE             = 'RO-07-NIPNE'
    _RO_13_ISS               = 'RO-13-ISS'
    _RO_14_ITIM              = 'RO-14-ITIM'
    _RO_16_UAIC              = 'RO-16-UAIC'
    _RRC_KI_T1               = 'RRC-KI-T1'
    _RU_Protvino_IHEP        = 'RU-Protvino-IHEP'
    _RU_SPbSU                = 'RU-SPbSU'
    _RWTH_Aachen             = 'RWTH-Aachen'
    _Rice                    = 'Rice'
    _Ru_Troitsk_INR_LCG2     = 'Ru-Troitsk-INR-LCG2'
    _SAMPA                   = 'SAMPA'
    _SARA_MATRIX             = 'SARA-MATRIX'
    _SE_SNIC_T2              = 'SE-SNIC-T2'
    _SPRACE                  = 'SPRACE'
    _SUPERCOMPUTO_UNAM       = 'SUPERCOMPUTO-UNAM'
    _SWT2_CPB                = 'SWT2_CPB'
    _SiGNET                  = 'SiGNET'
    _T2_TH_SUT               = 'T2-TH-SUT'
    _T2_Estonia              = 'T2_Estonia'
    _T3_CH_PSI               = 'T3_CH_PSI'
    _T3_IN_TIFRCloud         = 'T3_IN_TIFRCloud' 
    _T3_KR_KISTI             = 'T3_KR_KISTI'
    _T3_US_CMU               = 'T3_US_CMU'
    _T3_US_OSG               = 'T3_US_OSG'
    _TACC                    = 'TACC'
    _TACC_Stampede2          = 'TACC-Stampede2'
    _TECHNION_HEP            = 'TECHNION-HEP'
    _TIDC                    = 'TIDC'
    _TOKYO_LCG2              = 'TOKYO-LCG2'
    _TR_03_METU              = 'TR-03-METU'
    _TR_10_ULAKBIM           = 'TR-10-ULAKBIM'
    _TRIUMF_LCG2             = 'TRIUMF-LCG2'
    _TW_FTT                  = 'TW-FTT'
    _TW_NCHC                 = 'TW-NCHC'
    _TW_NCUHEP               = 'TW-NCUHEP'
    _TW_NTU_HEP              = 'TW-NTU-HEP'
    _Taiwan_LCG2             = 'Taiwan-LCG2'
    _UA_BITP                 = 'UA-BITP'
    _UA_ISMA                 = 'UA-ISMA'
    _UA_KNU                  = 'UA-KNU'
    _UAM_LCG2                = 'UAM-LCG2'
    _UCSDT2                  = 'UCSDT2'
    _UColorado_HEP           = 'UColorado_HEP'
    _UERJ                    = 'UERJ'
    _UFlorida_HPC            = 'UFlorida-HPC'
    _UKI_LT2_Brunel          = 'UKI-LT2-Brunel'
    _UKI_LT2_IC_HEP          = 'UKI-LT2-IC-HEP'
    _UKI_LT2_QMUL            = 'UKI-LT2-QMUL' 
    _UKI_LT2_RHUL            = 'UKI-LT2-RHUL'
    _UKI_NORTHGRID_LANCS_HEP = 'UKI-NORTHGRID-LANCS-HEP'
    _UKI_NORTHGRID_LIV_HEP   = 'UKI-NORTHGRID-LIV-HEP'
    _UKI_NORTHGRID_MAN_HEP   = 'UKI-NORTHGRID-MAN-HEP'
    _UKI_NORTHGRID_SHEF_HEP  = 'UKI-NORTHGRID-SHEF-HEP'
    _UKI_SCOTGRID_DURHAM     = 'UKI-SCOTGRID-DURHAM'
    _UKI_SCOTGRID_ECDF       = 'UKI-SCOTGRID-ECDF'
    _UKI_SCOTGRID_GLASGOW    = 'UKI-SCOTGRID-GLASGOW'
    _UKI_SOUTHGRID_BHAM_HEP  = 'UKI-SOUTHGRID-BHAM-HEP'
    _UKI_SOUTHGRID_BRIS_HEP  = 'UKI-SOUTHGRID-BRIS-HEP'
    _UKI_SOUTHGRID_OX_HEP    = 'UKI-SOUTHGRID-OX-HEP'
    _UKI_SOUTHGRID_RALPP     = 'UKI-SOUTHGRID-RALPP'
    _UKI_SOUTHGRID_SUSX      = 'UKI-SOUTHGRID-SUSX'
    _UM6P                    = 'UM6P'
    _UMissHEP                = 'UMissHEP'
    _UNI_BONN                = 'UNI-BONN'
    _UNI_FREIBURG            = 'UNI-FREIBURG'
    _UNIBE_LHEP              = 'UNIBE-LHEP' 
    _UNIGE_DPNC              = 'UNIGE-DPNC'
    _USC_LCG2                = 'USC-LCG2'
    _USCMS_FNAL_WC1          = 'USCMS-FNAL-WC1'
    _Vanderbilt              = 'Vanderbilt'
    _WEIZMANN_LCG2           = 'WEIZMANN-LCG2'
    _WT2                     = 'WT2'
    _ZA_CHPC                 = 'ZA-CHPC'
    _ZA_WITS_CORE            = 'ZA-WITS-CORE'
    _brown_cms               = 'brown-cms'
    _cinvestav               = 'cinvestav'
    _egee_irb_hr             = 'egee.irb.hr'
    _ifae                    = 'ifae'
    _mainz                   = 'mainz'
    _osu_cms                 = 'osu-cms' 
    _pic                     = 'pic'
    _praguelcg2              = 'praguelcg2'
    _ru_Moscow_MEPHI_LCG2    = 'ru-Moscow-MEPHI-LCG2'
    _ru_PNPI                 = 'ru-PNPI'
    _ru_PNPI_XCACHE          = 'ru-PNPI_XCACHE'
    _ru_PNPI_XCACHE_NODES    = 'ru-PNPI_XCACHE_NODES'
    _rutgers_cms             = 'rutgers-cms'
    _umd_cms                 = 'umd-cms'
    _uprm_cms                = 'uprm-cms'
    _wuppertalprod           = 'wuppertalprod'
